/** ColumnPlotImpl.java.

	Purpose:
		
	Description:
		
	History:
		5:51:31 PM Jan 13, 2014, Created by jumperchen

Copyright (C) 2014 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.CategoryModel;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.XYModel;

/**
 * A model implementation for column chart
 * @author jumperchen
 *
 */
public class ColumnPlotImpl extends PlotEngineImpl {
	public ColumnPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof CategoryModel) {
			return drawCategoryModel((CategoryModel) model);
		} else if (model instanceof XYModel) {
			return drawXYModel((XYModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
