/* VariwidePlotImpl.java

	Purpose:
		
	Description:
		
	History:
		Wed Dec 04 16:33:12 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.ChartsModel;
import org.zkoss.chart.model.XYZModel;

/**
 * A model implementation for variwide chart
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class VariwidePlotImpl extends PlotEngineImpl {
	public VariwidePlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof XYZModel) {
			return drawXYZModel((XYZModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model + "]");
	}
}
